package com.duiba.tuia.youtui.web.bo;

import com.duiba.tuia.youtui.web.exception.BusinessException;
import com.duiba.tuia.youtui.web.model.req.BillReq;
import com.duiba.tuia.youtui.web.model.req.PhysicalReq;

/**
 * 奖品业务
 *
 */
public interface PrizeBO {
    /**
     * 话费领奖 提交手机号
     * @param billReq 参数
     * @return 是否成功
     */
    boolean submitBillPrize(BillReq billReq,String deviceId) throws BusinessException;

    void updatePrizeOrderSuccess(String orderId);

    void updatePrizeOrderfailed(String orderId, String code, String msg);

    /**
     * 实物 领奖填写信息
     * @param req
     * @return
     */
    boolean submitPhysicalInfo(PhysicalReq req);
}
